"""
WuXiGalaxi.py - functions for searching the WuXi Galaxi chemical space.

Use of this code is subject to the terms of the StarDrop License Agreement and
use, copying or redistribution of this file for use by other persons or
organisations is prohibited

Copyright(C) Optibrium Ltd 2026
support@optibrium.com

WuXi GalaXi was created by WuXi.
"""

import WuXiGalaxiConfig as config
from FTreesSearchTool import perform_ftrees_search, send_compound_request


def search_using_ftrees(appui):
    perform_ftrees_search(appui, config)


def email_compound(appui):
    send_compound_request(appui, config)


def get_stardrop_definitions():
    definitions = [
        {
            'script_name': 'WuXi GalaXi\N{REGISTERED SIGN}/Search using selected compound...',
            'callback': search_using_ftrees
        },
        {
            'script_name': 'WuXi GalaXi\N{REGISTERED SIGN}/Request quote for selected compounds',
            'callback': email_compound
        }
    ]

    return definitions
